Skip to main content
GET
List merge proposals

Headers

x-api-key
string | null

Your API key for programmatic access. Send it in the x-api-key header; you can create and manage keys from the Developers page.

Path Parameters

agent_id
string
required

The id of an agent. This is returned on agent creation.

Example:

"agent_3701k3ttaq12ewp8b7qv5rfyszkz"

Query Parameters

status
enum<string> | null

Only return proposals with this status.

Available options:
open,
merged,
closed
source_branch_id
string | null

Only return proposals with this source branch.

target_branch_id
string | null

Only return proposals with this target branch.

search
string | null

Case-insensitive substring match over title and description.

Maximum string length: 140
page_size
integer
default:100

How many results at most should be returned

Required range: 1 <= x <= 100
cursor
string | null

Used for fetching next page. Cursor is returned in the response.

Response

Successful Response

results
AgentMergeProposalResponse · object[]
required
next_cursor
string | null
required
has_more
boolean
required
read-only